#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Sep 17 23:19:17 2017

@author: Alain
"""

import matplotlib.pyplot as plt
import utilitaire as util

""" 

            Titrage conductimétrique 
    
"""

fichier = open("MgCl2HCl.txt")
lignes = fichier.readlines()
fichier.close()

V=[]
PH=[]
G=[]

""" à vous de jouer ! """



""" tracé de courbes cf annexe chapitre 3 """

fig, ax1 = plt.subplots()

ax1.plot(V, PH, "rx",markersize=3)
ax1.set_xlabel("V (mL)")
ax1.set_ylabel("pH", color="r")
ax1.tick_params("y", colors="r")
ax1.set_ylim(0,14)

ax2 = ax1.twinx()
ax2.plot(V, G, "b+")
ax2.set_ylabel("conductivité (mS)", color="b")
ax2.tick_params("y", colors="b")
ax2.set_ylim(0,10)
ax2.set_xlim(0,20)
ax2.set_xticks([i for i in range(0,22,2)])

plt.title("Titrage d'un mélange MgCl2 - HCl par NaOH")
plt.show()

V0 = 50

""" à vous de jouer """



""" 

                    Couplage AMX 

"""


